import { Vue } from "vue-property-decorator";
import Country from "./dto/Country";
import DeliveryCalculatorStore from "./utils/DeliveryCalculatorStore";
export default class CalculatorForm extends Vue {
    isShowDimensionsAndPrices: boolean;
    calculatorStore: DeliveryCalculatorStore;
    created(): void;
    get errors(): {
        [key: string]: string;
    };
    get hasErrors(): boolean;
    get country(): Country | null;
    get countryHasPlaces(): boolean;
    get isDisabledPlaceSelect(): boolean;
    submit(): boolean;
}
